########################
# PROGRAMME B - PARTIE 1
########################

# import des bibliothèques
import pandas # lecture de fichiers de données

# création de deux listes contenant les coordonnées x et y des points au cours du mouvement
donnees = pandas.read_csv("donnees.csv", sep=";", decimal=",")
x = donnees.x
y = donnees.y

# intervalle de temps entre deux points consécutifs
Deltat = # ***commande à compléter***


point = 15

# calcul des coordonnées du vecteur vitesse pour tous les points
# selon l'axe des x
vx = []
for i in range(1, len(x)-1):
    vx.append(...) # ***commande à compléter à la place des pointillés (calcul de la vitesse selon l'axe des abscisses et ajout à la liste vx)***

# selon l'axe des y
vy = []
for i in range(1, len(x)-1):
    vy.append(...) # ***commande à compléter à la place des pointillés (calcul de la vitesse selon l'axe des ordonnées et ajout à la liste vy)***


# affichage de la vitesse verticale au point i
print("La coordonnée de la vitesse selon l'axe y au point", point, "vaut : vy =", vy[point-1], "m/s.")




"""
########################
# PROGRAMME B - PARTIE 2
# (Il est conseillé d'utiliser le copier-coller pour représenter le vecteur accélération en trois points)
########################

# import des bibliothèques
import matplotlib.pyplot as plt # tracés de graphiques


# calcul des coordonnées du vecteur accélération pour tous les points
# selon l'axe des x
ax = []
for i in range(1, len(vx)-1):
    ax.append(...) # ***commande à compléter à la place des pointillés (calcul de l'accélération selon l'axe des abscisses et ajout à la liste ax)***

# selon l'axe des y
ay = []
for i in range(1, len(vy)-1):
    ay.append(...) # ***commande à compléter à la place des pointillés (calcul de l'accélération selon l'axe des ordonnées et ajout à la liste ay)***


point = 6

# affichage de l'accélération verticale au point choisi
print("L'accélération verticale au point", point, "vaut : ay =", ay[point-2], "m/s².")


# construction du vecteur accélération au point choisi
plt.arrow(x[point],y[point],ax[point-2],ay[point-2], head_width=1, color = "green")



# représentation graphique
plt.plot(x,y,"r+") # ***commentaire à compléter***
plt.axis("equal") # définition d'un repère orthonormé
plt.xlabel() # ***commande à compléter (titre de l'axe des abscisses)***
plt.ylabel() # ***commande à compléter (titre de l'axe des ordonnées)***
plt.title() # ***commande à compléter (titre du graphique)***
plt.show() # affichage du graphique
"""
